Bug 206163 - net/megatools: Update to 1.9.96
Summary: net/megatools: Update to 1.9.96
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-12 17:05 UTC by Max Kostikov
Modified: 2016-01-24 18:25 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
Makefile diff (330 bytes, patch)
2016-01-12 17:05 UTC, Max Kostikov
max: maintainer-approval-
Details | Diff
distinfo diff (402 bytes, patch)
2016-01-12 17:06 UTC, Max Kostikov
max: maintainer-approval-
Details | Diff
combined patch (1.57 KB, patch)
2016-01-13 09:11 UTC, Max Kostikov
max: maintainer-approval-
Details | Diff
new combined patch file (1.23 KB, patch)
2016-01-13 09:15 UTC, Max Kostikov
max: maintainer-approval+
Details | Diff
patch to 1.9.96 (917 bytes, patch)
2016-01-13 10:02 UTC, Max Kostikov
max: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Kostikov 2016-01-12 17:05:33 UTC
Created attachment 165445 [details]
Makefile diff

minor bugfixes
Comment 1 Max Kostikov 2016-01-12 17:06:22 UTC
Created attachment 165446 [details]
distinfo diff
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 08:45:44 UTC
@Max, single patches are preferred, can you create a new combined diff and obsolete the existing attachments please?
Comment 3 Max Kostikov 2016-01-13 09:09:27 UTC
Sure - see new patch attached
Comment 4 Max Kostikov 2016-01-13 09:11:10 UTC
Created attachment 165481 [details]
combined patch
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 09:13:31 UTC
Thanks Max!
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 09:14:22 UTC
You can obsolete the previous attachments by going to Attachment -> Details -> Edit Details -> [X] Obsolete. There's no need to 'unapprove them' after this has been done, as they will no longer be visible by default
Comment 7 Max Kostikov 2016-01-13 09:15:00 UTC
Created attachment 165482 [details]
new combined patch file
Comment 8 Max Kostikov 2016-01-13 09:15:40 UTC
Done!
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 09:17:47 UTC
@Max perfect :)

We can encourage progress on this issue a little faster, if you can confirm that these changes pass QA (quality assurance) via portlint and poudriere

For more information on testing changes (QA), see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 10 Max Kostikov 2016-01-13 09:23:23 UTC
portlint gave 0 fatals, about poudriere I don't made any tests yet
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 09:32:27 UTC
@Max,

You can run the following command in the meantime, which covers most, but not all of poudriere's tests:

make stage && make check-plist && make stage-qa && make package

Feel free to just confirm that this runs fine if it passes, instead of attaching the output. If it doesn't pass, fix any issues and update patch attachments
Comment 12 Max Kostikov 2016-01-13 09:49:36 UTC
All make's passed without errors but only have one warning with I did not know what I should do

>/!\ megatools-1.9.96: Makefile warnings, please consider fixing /!\
>
>Not validating first entry in CATEGORIES due to being outside of PORTSDIR. Please ensure this is proper when committing.
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 09:55:16 UTC
@Max, having looked at the patch, I can see that it doesnt appear to be a properly formatted unified diff (with ! lines, instead of -/+ lines.

How are you generating the diff, and are you using a full svn tree to create the diffs, or just diffing a copy of the net/megatools dir on its own with updates?

I think we can ignore the warning, depending on your answers to the above questions
Comment 14 Max Kostikov 2016-01-13 10:01:04 UTC
(In reply to Kubilay Kocak from comment #13)
This is context format of diff patch file.
I will replace it right now to standard diff -u
Comment 15 Max Kostikov 2016-01-13 10:02:28 UTC
Created attachment 165488 [details]
patch to 1.9.96
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 10:46:17 UTC
Lovely!
Comment 17 Dmitry Marakasov freebsd_committer 2016-01-15 13:32:17 UTC
The port doesn't fetch under 9.x:

=> Attempting to fetch http://megatools.megous.com/builds/megatools-1.9.96.tar.gz
fetch: http://megatools.megous.com/builds/megatools-1.9.96.tar.gz: Authentication error
Comment 18 Max Kostikov 2016-01-15 14:43:57 UTC
(In reply to Dmitry Marakasov from comment #17)
Looks like you got some temporarily network problems.
Now all fine from my side:

> xm@beta:~/megatools # make fetch
> ===>  License GPLv2 accepted by the user
> ===>  Found saved configuration for megatools-1.9.96
> ===>   megatools-1.9.96 depends on file: /usr/local/sbin/pkg - found
> => megatools-1.9.96.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
> => Attempting to fetch http://megatools.megous.com/builds/megatools-1.9.96.tar.gz
> megatools-1.9.96.tar.gz                       100% of  446 kB  600 kBps 00m01s
> ===> Fetching all distfiles required by megatools-1.9.96 for building
> xm@beta:~/megatools # make fetch
Comment 19 commit-hook freebsd_committer 2016-01-24 18:17:26 UTC
A commit references this bug:

Author: riggs
Date: Sun Jan 24 18:17:19 UTC 2016
New revision: 407170
URL: https://svnweb.freebsd.org/changeset/ports/407170

Log:
  Update to upstream version 1.9.96

  PR:		206163
  Submitted by:	max@kostikov.co (maintainer)

Changes:
  head/net/megatools/Makefile
  head/net/megatools/distinfo